rte_tls_hdr(3)

NAME
rte_tls_hdr

SYNOPSIS

#include <rte_tls.h>

  Data Fields

uint8_t type
rte_be16_t version
rte_be16_t length

Detailed Description

TLS Header

Definition at line 31 of file rte_tls.h.

Field Documentation

  uint8_t type
Content type of TLS packet. Defined as RTE_TLS_TYPE_*.

Definition at line 33 of file rte_tls.h.

  rte_be16_t version
TLS Version defined as RTE_TLS_VERSION*.

Definition at line 35 of file rte_tls.h.

  rte_be16_t length
The length (in bytes) of the following TLS packet.

Definition at line 37 of file rte_tls.h.

Author

Generated automatically by Doxygen for DPDK from the source code.